/**
 * StreetName2.java
 *
 * File generated from the medication2::StreetName2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration StreetName2.
 *
 * 
 */

@XmlType(name = "StreetName")
@XmlEnum
@XmlRootElement(name = "StreetName2")
public enum StreetName2 {
	@XmlEnumValue("STR")
	STR("STR"),
	@XmlEnumValue("STB")
	STB("STB"),
	@XmlEnumValue("STTYP")
	STTYP("STTYP");
	
	private final String value;

    StreetName2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static StreetName2 fromValue(String v) {
        for (StreetName2 c: StreetName2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
